All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.dav
Interface AttributesInterface

All Known Subinterfaces:
  DAVEntityInterface, DAVFolderInterface, DAVItemInterface

All Known Implementing Classes:
  DAVApplitem, DAVBinarypackage, DAVEntity, DAVEvent, DAVFolder, DAVItem, DAVPackage, DAVPackageevent, DAVPerson, DAVPersonalrepository, DAVProfile, DAVRemarks, DAVStoredprocessalert

    public interface AttributesInterface

Method Summary
`void` | `addAttribute(java.lang.String key, java.lang.Object value)` Add an attribute with the given name and value
`void` | `addAttributes(java.util.Map attributeMap)` Add a number of attributes - names and values are given in the map
`void` | `deleteAttribute(java.lang.String key)` Delete a specific attribute
`void` | `deleteAttributes(java.util.List attributes)` Delete a list of attriubtes
`java.lang.String` | `getAttribute(java.lang.String key)` Get the value of the attribute with the given key/name
`java.util.Map` | `getAttributes()` Get a list of all the attributes
`void` | `setAttribute(java.lang.String key, java.lang.Object value)` Set the value of an attribute to the given value
`void` | `setAttributes(java.util.Map attributeMap)` Set a number of attributes - names and values are given in the map

Method Detail

### getAttribute

    java.lang.String getAttribute(java.lang.String key)

  Get the value of the attribute with the given key/name

  Parameters:
    `key` - The name of the attribute/property
  Returns:
    String The value of the attribute with the given name

### getAttributes

    java.util.Map getAttributes()

  Get a list of all the attributes

  Returns:
    The map containing all the key/value name pairs

### setAttribute

    void setAttribute(java.lang.String key,
                      java.lang.Object value)

  Set the value of an attribute to the given value

  Parameters:
    `key` - The key/name for this attribute
    `value` - The value of this attribute, generally a String

### addAttribute

    void addAttribute(java.lang.String key,
                      java.lang.Object value)

  Add an attribute with the given name and value

  Parameters:
    `key` - The key/name for this attribute
    `value` - The value of this attribute, generally a String

### deleteAttribute

    void deleteAttribute(java.lang.String key)

  Delete a specific attribute

  Parameters:
    `key` - The name of the attribute to delete

### setAttributes

    void setAttributes(java.util.Map attributeMap)

  Set a number of attributes - names and values are given in the map

  Parameters:
    `attributeMap` - Map containing the name/value pairs to set

### addAttributes

    void addAttributes(java.util.Map attributeMap)

  Add a number of attributes - names and values are given in the map

  Parameters:
    `attributeMap` - Map containing the name/value pairs to add

### deleteAttributes

    void deleteAttributes(java.util.List attributes)

  Delete a list of attriubtes

  Parameters:
    `attributes` - A list of attribute names to delete

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.